Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8240111

issue upgrading app built with javapackager to one built with jpackage

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Closed
    • Priority: P3
    • Resolution: Won't Fix
    • Affects Version/s: 14, 15
    • Fix Version/s: tbd
    • Component/s: tools
    • Labels:
    • Subcomponent:
    • Introduced In Version:
      14

      Description

      original customer report:
      ----------------------
      We are exploring to replace the *old* javapackager with the upcoming
      jpackage tool and encounter an issue on Windows.

      The javapackager tool allowed to create exe installers (by means of
      InnoSetup) and msi installers using WiX toolkit. With jpackage the
      InnoSetup exe installers were abandoned and instead WiX is used to create
      msi and exe installers.

      Until now we are shipping InnoSetup exe installers and tried to update now
      with jpackage to msi installers. At first msi installation seems to work
      fine (no error dialogs or so). When running the application it simply does
      not start (Windows also shows it twice in the list of installed
      applications).

      The only *working* solution we found was to *manually* uninstall the old
      application before starting msi installer.
      Any future update with msi installers work fine. But the first update fails!

      Since this seems a very common use-case I wonder whether there is a known
      solution to this problem. Is this a known issue? Are there any practices
      one can follow so that costumers do not need to manually uninstall the
      existing application first.
      ------------------------------------
      later customer reported:
      ------------------------------------
      I believe the
      necessary change to let upgrades succeed is rather minimal.

      The WIX template jpackage uses

      <Product Id="*" Name="$(var.AppName)" Language="1033"
      Version="$(var.AppVersion)" Manufacturer="$(var.AppVendor)"
      UpgradeCode="$(var.AppUpgradeCode)">

      needs to have

      <Upgrade Id="$(var.AppUpgradeCode)" />

      as well within the product element.
      ---------------------------------

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              asemenyuk Alexey Semenyuk
              Reporter:
              herrick Andy Herrick
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: